<?php
// *******************************************************************
// Title          udde Instant Messages (uddeIM)
// Description    Instant Messages System for Mambo 4.5 / Joomla 1.0 / Joomla 1.5
// Author          2007-2010 Stephan Slabihoud,  2006 Benjamin Zweifel
// License        This is free software and you may redistribute it under the GPL.
//                uddeIM comes with absolutely no warranty.
//                Use at your own risk. For details, see the license at
//                http://www.gnu.org/licenses/gpl.txt
//                Other licenses can be found in LICENSES folder.
// *******************************************************************
// Language file: Russian  (source file is CP1251)
// Translator:  www.freedom-ru.net, info@freedom-ru.net, Dmitriy Kindeev
// (v.1.2):     www.joomlaclub.ru, general@cre-active.eu, Eugene Sivokon
// *******************************************************************
DEFINE ('_UDDEADM_TRANSLATORS_CREDITS', 'Translation by Dmitriy Kindeev and Eugene Sivokon');	// Empty for English and German language files, enter your credits line here, e.g. 'Translation by <a href="http://domain.com" target="_new">John Doe</a>'

// New: 2.2
DEFINE ('_UDDEADM_OOD_PF', 'Public Frontend Plugin out of date!');
DEFINE ('_UDDEADM_OOD_A', 'File Attachment Plugin out of date!');
DEFINE ('_UDDEADM_OOD_RSS', 'RSS Plugin out of date!');
DEFINE ('_UDDEADM_OOD_ASC', 'Message Report Center Plugin out of date!');
DEFINE ('_UDDEIM_NOMESSAGES3_FILTERED', '<b>You have no filtered messages in your%s.</b>');
DEFINE ('_UDDEIM_FILTER_UNREAD', 'unread');
DEFINE ('_UDDEIM_FILTER_FLAGGED', 'flagged');
DEFINE ('_UDDEADM_GRAVATAR_HEAD', 'gravatar enabled');
DEFINE ('_UDDEADM_GRAVATAR_EXP', 'Enables gravatar support.');
DEFINE ('_UDDEADM_GRAVATARD_HEAD', 'gravatar imageset');
DEFINE ('_UDDEADM_GRAVATARD_EXP', 'Select the imageset for default images.');
DEFINE ('_UDDEADM_GRAVATARR_HEAD', 'gravatar rating');
DEFINE ('_UDDEADM_GRAVATARR_EXP', 'By default, only "G" rated images are displayed unless you indicate higher ratings. "X" displays all gravatar images.');
DEFINE ('_UDDEADM_GR404', '404');
DEFINE ('_UDDEADM_GRMM', 'mm');
DEFINE ('_UDDEADM_GRIDENTICON', 'identicon');
DEFINE ('_UDDEADM_GRMONSTERID', 'monsterid');
DEFINE ('_UDDEADM_GRWAVATAR', 'wavatar');
DEFINE ('_UDDEADM_GRRETRO', 'retro');
DEFINE ('_UDDEADM_GRDEFAULT', 'default');
DEFINE ('_UDDEADM_GRG', 'G = General');
DEFINE ('_UDDEADM_GRPG', 'PG = Parental Guidance');
DEFINE ('_UDDEADM_GRR', 'R = Restricted');
DEFINE ('_UDDEADM_GRX', 'X = Adult only');
DEFINE ('_UDDEADM_NINJABOARD', 'Ninjaboard');
DEFINE ('_UDDEADM_KUNENA16', 'Kunena 1.6+');
DEFINE ('_UDDEIM_PROCESSING', 'Processing...');
DEFINE ('_UDDEIM_SEND_NONOTIFY', 'Do not send notification emails');
DEFINE ('_UDDEIM_SYSGM_NONOTIFY', 'Email notifications will not be sent');
DEFINE ('_UDDEIM_SYSGM_FORCEEMBEDDED', 'Text will be embedded in notification email');
DEFINE ('_UDDEADM_CFGFILE_CONVERTING_8', '...set default for thumbnails');
DEFINE ('_UDDEADM_AVATARWH_HEAD', 'Display size of thumbnails');
DEFINE ('_UDDEADM_AVATARWH_EXP', 'Width and height (in pixels) of thumbnails (0 = size will not be changed).');
DEFINE ('_UDDEIM_SAVE', 'Save');

// New: 2.1
DEFINE ('_UDDEIM_BODY_SPAMREPORT',
"Hi %you%,\n\n%touser% has reported a suspicious message from %fromuser%. Please log in and check it!\n\n%livesite%");
DEFINE ('_UDDEIM_SUBJECT_SPAMREPORT', 'A message has been reported on %site%');
DEFINE ('_UDDEADM_KBYTES', 'KByte');
DEFINE ('_UDDEADM_MBYTES', 'MByte');
DEFINE ('_UDDEIM_ATT_FILEDELETED', 'File has been deleted');
DEFINE ('_UDDEIM_ATT_FILENOTEXISTS', 'Error: File does not exist');
DEFINE ('_UDDEIM_ATTACHMENTS2', 'Attachments (max. %s per file):');
DEFINE ('_UDDEADM_JOOCM', 'Joo!CM');
DEFINE ('_UDDEADM_UNPROTECTATTACHMENT_HEAD', 'Unprotected file downloads');
DEFINE ('_UDDEADM_UNPROTECTATTACHMENT_EXP', 'Usually uddeIM does not disclose the server path of file attachments, so nobody - even when the filename is known - can download the file. Enabling this option forces uddeIM to return the full server path. For security reasons, uddeIM added a MD5 hash to the original file name. Users can download the file directly when the full path is known. Do only use with care! READ THE FAQ WHEN USING THIS OPTION!');
DEFINE ('_UDDEADM_CFGFILE_CONVERTING_7', '...set default for file attachments, public frontend');
DEFINE ('_UDDEIM_FILETYPE_NOTALLOWED', 'Filetype not allowed');
DEFINE ('_UDDEADM_ALLOWEDEXTENSIONS_HEAD', 'Extensions allowed');
DEFINE ('_UDDEADM_ALLOWEDEXTENSIONS_EXP', 'Enter all extensions allowed (separated by ";"). Leave blank for no restrictions.');
DEFINE ('_UDDEADM_PUBEMAIL_HEAD', 'Email required');
DEFINE ('_UDDEADM_PUBEMAIL_EXP', 'When enabled a public user has to enter an email address.');
DEFINE ('_UDDEADM_WAITDAYS_HEAD', 'Days to wait');
DEFINE ('_UDDEADM_WAITDAYS_EXP', 'Specify how many days a user must wait until he is allowed to send messages (for 3 hours enter 0.125).');
DEFINE ('_UDDEIM_WAITDAYS1', 'You have to wait ');
DEFINE ('_UDDEIM_WAITDAYS2', ' days until you can send messages.');
DEFINE ('_UDDEIM_WAITDAYS2H', ' hours until you can send messages.');

// New: 2.0
DEFINE ('_UDDEADM_RECAPTCHAPRV_HEAD', 'reCaptcha private key');
DEFINE ('_UDDEADM_RECAPTCHAPRV_EXP', 'When you want to use reCaptcha, enter your private key here.');
DEFINE ('_UDDEADM_RECAPTCHAPUB_HEAD', 'reCaptcha public key');
DEFINE ('_UDDEADM_RECAPTCHAPUB_EXP', 'When you want to use reCaptcha, enter your public key here.');
DEFINE ('_UDDEADM_CAPTCHA_INTERNAL', 'Internal');
DEFINE ('_UDDEADM_CAPTCHA_RECAPTCHA', 'reCaptcha');
DEFINE ('_UDDEADM_CAPTCHATYPE_HEAD', 'Captcha service');
DEFINE ('_UDDEADM_CAPTCHATYPE_EXP', 'Which captcha service do you want to use: The build-in service or reCaptcha (see <a href="http://recaptcha.net" target="_new">reCaptcha</a> for more information)?');
DEFINE ('_UDDEADM_CFGFILE_CONVERTING_6', '...set default for captcha service');
DEFINE ('_UDDEADM_AUP', 'AlphaUserPoints');
DEFINE ('_UDDEADM_CHECKFILESFOLDER', 'Please move <i>\uddeimfiles</i> to <i>\images\uddeimfiles</i>. Check the documentation!');
DEFINE ('_UDDEADM_CRYPT4', 'Strong encryption');
DEFINE ('_UDDEADM_ALLOWTOALL2_HEAD', 'Allow sending system messages');
DEFINE ('_UDDEADM_ALLOWTOALL2_EXP', 'uddeIM supports system messages. They are sent to all users on your system. Use them sparingly.');
DEFINE ('_UDDEADM_ALLOWTOALL2_0', 'disabled');
DEFINE ('_UDDEADM_ALLOWTOALL2_1', 'admins only');
DEFINE ('_UDDEADM_ALLOWTOALL2_2', 'admins and managers');

// New: 1.9
DEFINE ('_UDDEIM_FILEUPLOAD_FAILED', '  ');
DEFINE ('_UDDEADM_CFGFILE_CONVERTING_5', '...     ');
DEFINE ('_UDDEADM_ENABLEATTACHMENT_HEAD', '  ');
DEFINE ('_UDDEADM_ENABLEATTACHMENT_EXP', '          .');
DEFINE ('_UDDEADM_MAXSIZEATTACHMENT_HEAD', '.  ');
DEFINE ('_UDDEADM_MAXSIZEATTACHMENT_EXP', '    .');
DEFINE ('_UDDEIM_FILESIZE_EXCEEDED', '   ');
DEFINE ('_UDDEADM_BYTES', '');
DEFINE ('_UDDEADM_MAXATTACHMENTS_HEAD', '. ');
DEFINE ('_UDDEADM_MAXATTACHMENTS_EXP', '      .');
DEFINE ('_UDDEIM_DOWNLOAD', '');
DEFINE ('_UDDEADM_FILEADMINIGNITIONONLY_HEAD', '  ');
DEFINE ('_UDDEADM_FILEADMINIGNITIONONLY_YES', ' ');
DEFINE ('_UDDEADM_FILEADMINIGNITIONONLY_NO', ' ');
DEFINE ('_UDDEADM_FILEADMINIGNITIONONLY_MANUALLY', '');
DEFINE ('_UDDEADM_FILEADMINIGNITIONONLY_EXP', '      .    <b> </b>   ,       .   ,      .          <b> </b>.');
DEFINE ('_UDDEADM_FILEMAINTENANCE_PRUNE', ' ');
DEFINE ('_UDDEADM_FILEMAINTENANCEDEL_HEAD', '  ');
DEFINE ('_UDDEADM_FILEMAINTENANCEDEL_EXP', '    .   ,   \' \'   .');
DEFINE ('_UDDEADM_FILEMAINTENANCEDEL_ERASE', '');
DEFINE ('_UDDEIM_ATTACHMENTS', '  (. %u    ):');
DEFINE ('_UDDEADM_MAINTENANCE_F1', '  ,    : ');
DEFINE ('_UDDEADM_MAINTENANCE_F2', '  ');
DEFINE ('_UDDEADM_BACKUP_DONE', ' .');
DEFINE ('_UDDEADM_RESTORE_DONE', ' .');
DEFINE ('_UDDEADM_PRUNE_DONE', ' .');
DEFINE ('_UDDEADM_FILEPRUNE_DONE', '  .');
DEFINE ('_UDDEADM_FOLDERCREATE_ERROR', '   : ');
DEFINE ('_UDDEADM_ATTINSTALL_WRITEFAILED', '   : ');
DEFINE ('_UDDEADM_ATTINSTALL_IGNORE', '    ,     File attachments premium plugin (. FAQ).');
DEFINE ('_UDDEADM_ATTACHMENTGROUPS_HEAD', ' ');
DEFINE ('_UDDEADM_ATTACHMENTGROUPS_EXP', ',     .');
DEFINE ('_UDDEIM_SELECT', '');
DEFINE ('_UDDEIM_ATTACHMENT', ' ');
DEFINE ('_UDDEADM_SHOWLISTATTACHMENT_HEAD', '   ');
DEFINE ('_UDDEADM_SHOWLISTATTACHMENT_EXP', '       (, , ).');
DEFINE ('_UDDEIM_HELP_ATTACHMENT', '    .');
DEFINE ('_UDDEADM_MAINTENANCE_COUNTFILES', '     :');
DEFINE ('_UDDEADM_MAINTENANCE_COUNTFILESDISTINCT', '  :');
DEFINE ('_UDDEADM_SHOWMENUCOUNT_HEAD', ' ');
DEFINE ('_UDDEADM_SHOWMENUCOUNT_EXP', '  <b></b>,     . :        ,      .');
DEFINE ('_UDDEADM_CONFIG_FTPLAYER', ' (   FTP):');
DEFINE ('_UDDEADM_ENCODEHEADER_HEAD', '  ');
DEFINE ('_UDDEADM_ENCODEHEADER_EXP', ' <b></b>,    (, )   rfc 2047. ,       .');
DEFINE ('_UDDEIM_UP', ' ');
DEFINE ('_UDDEIM_DOWN', ' ');
DEFINE ('_UDDEIM_UPDOWN', '');
DEFINE ('_UDDEADM_ENABLESORT_HEAD', ' ');
DEFINE ('_UDDEADM_ENABLESORT_EXP', ' <b></b>,       ,    (      ).');

// New: 1.8
// %s will be replaced by _UDDEIM_NOMESSAGES_FILTERED_INBOX, _UDDEIM_NOMESSAGES_FILTERED_OUTBOX, _UDDEIM_NOMESSAGES_FILTERED_ARCHIVE
// Translators help: When having problems with the grammar, you can also move some text (e.g. "in your") to _UDDEIM_NOMESSAGES_FILTERED_* variables, e.g.
// instead of "_UDDEIM_NOMESSAGES_FILTERED_INBOX=inbox" you can also use "_UDDEIM_NOMESSAGES_FILTERED_INBOX=in your inbox"
DEFINE ('_UDDEIM_NOMESSAGES2_FR_FILTERED', '<b>        %s.</b>');
DEFINE ('_UDDEIM_NOMESSAGES2_TO_FILTERED', '<b>       %s.</b>');
DEFINE ('_UDDEIM_NOMESSAGES2_UNFR_FILTERED', '<b>         %s.</b>');
DEFINE ('_UDDEIM_NOMESSAGES2_UNTO_FILTERED', '<b>        %s.</b>');

// New: 1.7
DEFINE ('_UDDEADM_EMAILSTOPPED', '  e-mail ');
DEFINE ('_UDDEIM_ACCOUNTLOCKED', '    . ,    .');
DEFINE ('_UDDEADM_USERSET_LOCKED', '');
DEFINE ('_UDDEADM_USERSET_SELLOCKED', '-  -');
DEFINE ('_UDDEADM_CBBANNED_HEAD', '    Community Builder ');
DEFINE ('_UDDEADM_CBBANNED_EXP', ' , uddeIM       Community Builder      uddeIM.         .');
DEFINE ('_UDDEIM_YOUAREBANNED', '   . ,     .');
DEFINE ('_UDDEIM_USERBANNED', ' ');
DEFINE ('_UDDEADM_JOOBB', 'Joo!BB');
DEFINE ('_UDDEPLUGIN_SEARCHSECTION', ' ');
DEFINE ('_UDDEPLUGIN_MESSAGES', ' ');
DEFINE ('_UDDEADM_MAINTENANCEDEL_HEAD', ' '); // note "This  is the same as _UDDEADM_MAINTENANCE_PRUNE on the system tab."
DEFINE ('_UDDEADM_MAINTENANCEDEL_EXP', '     .   \'  ?\'   "".');
DEFINE ('_UDDEADM_MAINTENANCEDEL_ERASE', '');
DEFINE ('_UDDEADM_REPORTSPAM_HEAD', '  ');
DEFINE ('_UDDEADM_REPORTSPAM_EXP', ' ,      ,    "  ".');
DEFINE ('_UDDEIM_TOOLBAR_REMOVESPAM', ' ');
DEFINE ('_UDDEIM_TOOLBAR_REMOVEREPORT', ' ');
DEFINE ('_UDDEIM_TOOLBAR_SPAMCONTROL', ' ');
DEFINE ('_UDDEADM_INFORMATION', '');
DEFINE ('_UDDEADM_SPAMCONTROL_STAT', ' :');
DEFINE ('_UDDEADM_SPAMCONTROL_TRASHED', '');
DEFINE ('_UDDEADM_SPAMCONTROL_NOTEDEL', '     ?');
DEFINE ('_UDDEADM_SPAMCONTROL_NOTEREMOVE', '  ?');
DEFINE ('_UDDEADM_SPAMCONTROL_SHOWHIDE', '/');
DEFINE ('_UDDEADM_SPAMCONTROL_EDIT', '  ');
DEFINE ('_UDDEADM_SPAMCONTROL_FROM', '');
DEFINE ('_UDDEADM_SPAMCONTROL_TO', '');
DEFINE ('_UDDEADM_SPAMCONTROL_TEXT', '');
DEFINE ('_UDDEADM_SPAMCONTROL_DELETE', '');
DEFINE ('_UDDEADM_SPAMCONTROL_REMOVE', '');
DEFINE ('_UDDEADM_SPAMCONTROL_DATE', '');
DEFINE ('_UDDEADM_SPAMCONTROL_REPORTED', '');
DEFINE ('_UDDEIM_SPAMCONTROL_REPORT', '  ');
DEFINE ('_UDDEIM_SPAMCONTROL_MARKED', '   .');
DEFINE ('_UDDEIM_SPAMCONTROL_UNREPORT', ' ');
DEFINE ('_UDDEADM_JOMSOCIAL', 'JomSocial');
DEFINE ('_UDDEADM_KUNENA', 'Kunena');
DEFINE ('_UDDEADM_ADMIN_FILTER', '');
DEFINE ('_UDDEADM_ADMIN_DISPLAY', ' #');
DEFINE ('_UDDEADM_TRASHORIGINALSENT_HEAD', '  ');
DEFINE ('_UDDEADM_TRASHORIGINALSENT_EXP', ' ,    ""   " ",   .    ,         .');
DEFINE ('_UDDEIM_TRASHORIGINALSENT', ' ');
DEFINE ('_UDDEADM_CFGFILE_CONVERTING_4', '...     ,       Community Builder ');
DEFINE ('_UDDEADM_VERSIONCHECK_IMPORTANT', ' :');
DEFINE ('_UDDEADM_VERSIONCHECK_HOTFIX', 'Hotfix');
DEFINE ('_UDDEADM_VERSIONCHECK_NONE', ' ');
DEFINE ('_UDDEADM_MAINTENANCEFIX_HEAD', "");
DEFINE ('_UDDEADM_MAINTENANCEFIX_EXP', "uddeIM   XML-,        Joomla 1.0,    1.5.  Joomla 1.5   XML-  ,        (  ).     ,     .");
DEFINE ('_UDDEADM_MAINTENANCE_FIX', "");
DEFINE ('_UDDEADM_MAINTENANCE_XML1', "XML- uddeIM  Joomla 1.0  Joomla 1.5 .<br />");
DEFINE ('_UDDEADM_MAINTENANCE_XML2', " ,       Joomla 1.0  Joomla 1.5.<br />");
DEFINE ('_UDDEADM_MAINTENANCE_XML3', " ,    ,     Joomla 1.0  ,  1.5.<br />");
DEFINE ('_UDDEADM_MAINTENANCE_XML4', "     :<br />");
DEFINE ('_UDDEADM_MAINTENANCE_FXML1', " XML-     :<br />");
DEFINE ('_UDDEADM_MAINTENANCE_FXML2', " XML-  !<br />");
DEFINE ('_UDDEADM_SHOWMENUICONS1_HEAD', ' ');
DEFINE ('_UDDEADM_SHOWMENUICONS1_EXP', '   ,     -   /  .');
DEFINE ('_UDDEIM_MENUICONS_P1', '  ');
DEFINE ('_UDDEIM_MENUICONS_P2', ' ');
DEFINE ('_UDDEIM_MENUICONS_P0', ' ');
DEFINE ('_UDDEIM_LISTSLIMIT_2', '    :');
DEFINE ('_UDDEADM_ADDEMAIL_ADMIN', '  ');
DEFINE ('_UDDEAIM_ADDEMAIL_SELECT', ' ');
DEFINE ('_UDDEAIM_ADDEMAIL_TITLE', '      e-mail.');

// New: 1.6

DEFINE ('_UDDEIM_NOLISTSELECTED', '   !');
DEFINE ('_UDDEADM_NOPREMIUM', '   !');
DEFINE ('_UDDEIM_LISTGLOBAL_CREATOR', ':');
DEFINE ('_UDDEIM_LISTGLOBAL_ENTRIES', '');
DEFINE ('_UDDEIM_LISTGLOBAL_TYPE', '');
DEFINE ('_UDDEIM_LISTGLOBAL_NORMAL', '');
DEFINE ('_UDDEIM_LISTGLOBAL_GLOBAL', '');
DEFINE ('_UDDEIM_LISTGLOBAL_RESTRICTED', '');
DEFINE ('_UDDEIM_LISTGLOBAL_P0', ' ');
DEFINE ('_UDDEIM_LISTGLOBAL_P1', ' ');
DEFINE ('_UDDEIM_LISTGLOBAL_P2', '  (      )');
DEFINE ('_UDDEIM_TOOLBAR_USERSETTINGS', ' ');
DEFINE ('_UDDEIM_TOOLBAR_REMOVESETTINGS', ' ');
DEFINE ('_UDDEIM_TOOLBAR_CREATESETTINGS', ' ');
DEFINE ('_UDDEIM_TOOLBAR_SAVE', '');
DEFINE ('_UDDEIM_TOOLBAR_BACK', '');
DEFINE ('_UDDEIM_TOOLBAR_TRASHMSGS', ' ');
DEFINE ('_UDDEIM_CBPLUG_CONT', '[]');
DEFINE ('_UDDEIM_CBPLUG_UNBLOCKNOW', '[]');
DEFINE ('_UDDEIM_CBPLUG_DOBLOCK', ' ');
DEFINE ('_UDDEIM_CBPLUG_DOUNBLOCK', ' ');
DEFINE ('_UDDEIM_CBPLUG_BLOCKINGCFG', '');
DEFINE ('_UDDEIM_CBPLUG_BLOCKED', '   .');
DEFINE ('_UDDEIM_CBPLUG_UNBLOCKED', '     .');
DEFINE ('_UDDEIM_CBPLUG_NOWBLOCKED', '    .');
DEFINE ('_UDDEIM_CBPLUG_NOWUNBLOCKED', ' .');
DEFINE ('_UDDEADM_PARTIALIMPORTDONE', '       .          ,       .');
DEFINE ('_UDDEADM_IMPORT_HELP', ':      .    ,       .');
DEFINE ('_UDDEADM_IMPORT_PARTIAL', ' :');
DEFINE ('_UDDEADM_UPDATEYOURDB', ':     ! ,    README,  ,    !');
DEFINE ('_UDDEADM_RESTRALLUSERS_HEAD', '    " "');
DEFINE ('_UDDEADM_RESTRALLUSERS_EXP', '      " ".  ,    ( ).');
DEFINE ('_UDDEADM_RESTRALLUSERS_0', ' ');
DEFINE ('_UDDEADM_RESTRALLUSERS_1', ' ');
DEFINE ('_UDDEADM_RESTRALLUSERS_2', ' ');
DEFINE ('_UDDEIM_MESSAGE_UNARCHIVED', '   .');
DEFINE ('_UDDEADM_AUTOFORWARD_SPECIAL', ' ');
DEFINE ('_UDDEIM_HELP', '');
DEFINE ('_UDDEIM_HELP_HEADLINE1', '     .');
DEFINE ('_UDDEIM_HELP_HEADLINE2', '   :');
DEFINE ('_UDDEIM_HELP_INBOX', '      ,   .');
DEFINE ('_UDDEIM_HELP_OUTBOX', '        ,      .');
DEFINE ('_UDDEIM_HELP_TRASHCAN', '      .     ,     .       .');
DEFINE ('_UDDEIM_HELP_ARCHIVE', '     ,       "".          "".       ,   " "   .');
DEFINE ('_UDDEIM_HELP_USERLISTS', ' ""     ( ).       .  ,     ,   <b>#_</b>.');
DEFINE ('_UDDEIM_HELP_SETTINGS', ' ""      .');
DEFINE ('_UDDEIM_HELP_COMPOSE', '      .');
DEFINE ('_UDDEIM_HELP_IREAD', '  (  ).');
DEFINE ('_UDDEIM_HELP_IUNREAD', '   (  ).');
DEFINE ('_UDDEIM_HELP_OREAD', ' .');
DEFINE ('_UDDEIM_HELP_OUNREAD', '  .    .');
DEFINE ('_UDDEIM_HELP_TREAD', ' .');
DEFINE ('_UDDEIM_HELP_TUNREAD', '   .');
DEFINE ('_UDDEIM_HELP_FLAGGED', ' ; ,    (  ).');
DEFINE ('_UDDEIM_HELP_UNFLAGGED', '  (  ).');
DEFINE ('_UDDEIM_HELP_ONLINE', '   .');
DEFINE ('_UDDEIM_HELP_OFFLINE', '   .');
DEFINE ('_UDDEIM_HELP_DELETE', '  (  ).');
DEFINE ('_UDDEIM_HELP_FORWARD', '   .');
DEFINE ('_UDDEIM_HELP_ARCHIVEMSG', '  .       ,            "".');
DEFINE ('_UDDEIM_HELP_UNARCHIVEMSG', '  .     "".');
DEFINE ('_UDDEIM_HELP_RECALL', ' .    ,        .');
DEFINE ('_UDDEIM_HELP_RECYCLE', '  (      ""  "").');
DEFINE ('_UDDEIM_HELP_NOTIFY', '     .');
DEFINE ('_UDDEIM_HELP_AUTORESPONDER', '  ,     ,   .');
DEFINE ('_UDDEIM_HELP_AUTOFORWARD', '     .');
DEFINE ('_UDDEIM_HELP_BLOCKING', '   .        .');
DEFINE ('_UDDEIM_HELP_MISC', '    .');
DEFINE ('_UDDEIM_HELP_FEED', '    "",  RSS.');
DEFINE ('_UDDEADM_SEPARATOR_HEAD', '');
DEFINE ('_UDDEADM_SEPARATOR_EXP', ' ,       (  - ).');
DEFINE ('_UDDEADM_SEPARATOR_P0', ' ( )');
DEFINE ('_UDDEADM_SEPARATOR_P1', '  ');
DEFINE ('_UDDEADM_RSSLIMIT_HEAD', ' RSS');
DEFINE ('_UDDEADM_RSSLIMIT_EXP', '    RSS (0 -  ).');
DEFINE ('_UDDEADM_SHOWHELP_HEAD', '  ""');
DEFINE ('_UDDEADM_SHOWHELP_EXP', ' ,      "".');
DEFINE ('_UDDEADM_SHOWIGOOGLE_HEAD', '   iGoogle');
DEFINE ('_UDDEADM_SHOWIGOOGLE_EXP', ' ,       "  iGoogle".');
DEFINE ('_UDDEADM_MOOTOOLS_NONE11', '  MooTools (  1.1)');
DEFINE ('_UDDEADM_MOOTOOLS_NONE12', '  MooTools (  1.2)');
DEFINE ('_UDDEIM_RSS_INTRO1', '     ,  RSS (0.91).');
DEFINE ('_UDDEIM_RSS_INTRO1B', '  :');
DEFINE ('_UDDEIM_RSS_INTRO2', '     ,        !');
DEFINE ('_UDDEIM_RSS_FEED', ' RSS');
DEFINE ('_UDDEIM_RSS_NOOBJECT', ' ...');
DEFINE ('_UDDEIM_RSS_USERBLOCKED', ' ...');
DEFINE ('_UDDEIM_RSS_NOTALLOWED', ' ...');
DEFINE ('_UDDEIM_RSS_WRONGPASSWORD', '    ...');
DEFINE ('_UDDEIM_RSS_NOMESSAGES', ' ');
DEFINE ('_UDDEIM_RSS_NONEWMESSAGES', '  ');
DEFINE ('_UDDEADM_ENABLERSS_HEAD', ' RSS');
DEFINE ('_UDDEADM_ENABLERSS_EXP', ' ,       RSS.    RSS     .');
DEFINE ('_UDDEADM_CFGFILE_CONVERTING_3', '...   RSS, iGoogle,   ');
DEFINE ('_UDDEADM_DELETEM_DELETING', ' :');
DEFINE ('_UDDEADM_DELETEM_FROMUSER', '    ');
DEFINE ('_UDDEADM_DELETEM_MSGSSENT', '-  : ');
DEFINE ('_UDDEADM_DELETEM_MSGSRECV', '-  : ');
DEFINE ('_UDDEIM_PMNAV_THISISARESPONSE', '  :');
DEFINE ('_UDDEIM_PMNAV_THEREARERESPONSES', '  :');
DEFINE ('_UDDEIM_PMNAV_DELETED', '  ');
DEFINE ('_UDDEIM_PMNAV_EXISTS', '  ');
DEFINE ('_UDDEIM_PMNAV_COPY2ME', '()');
DEFINE ('_UDDEADM_PMNAV_HEAD', ' ');
DEFINE ('_UDDEADM_PMNAV_EXP', '     .');
DEFINE ('_UDDEADM_MAINTENANCE_ALLDAYS', ':');
DEFINE ('_UDDEADM_MAINTENANCE_7DAYS', '  7 :');
DEFINE ('_UDDEADM_MAINTENANCE_30DAYS', '  30 :');
DEFINE ('_UDDEADM_MAINTENANCE_365DAYS', '  365 :');
DEFINE ('_UDDEADM_MAINTENANCE_HEAD1', '   ( - %s ):');
DEFINE ('_UDDEADM_MAINTENANCE_HEAD2', ' %s     :');
DEFINE ('_UDDEADM_MAINTENANCE_NO', ':');
DEFINE ('_UDDEADM_MAINTENANCE_USERID', 'ID :');
DEFINE ('_UDDEADM_MAINTENANCE_TONAME', ':');
DEFINE ('_UDDEADM_MAINTENANCE_MID', 'ID :');
DEFINE ('_UDDEADM_MAINTENANCE_WRITTEN', ':');
DEFINE ('_UDDEADM_MAINTENANCE_TIMER', ':');

// New: 1.5

DEFINE ('_UDDEMODULE_ALLDAYS', ' ');
DEFINE ('_UDDEMODULE_7DAYS', '    7 ');
DEFINE ('_UDDEMODULE_30DAYS', '    30 ');
DEFINE ('_UDDEMODULE_365DAYS', '    365 ');
DEFINE ('_UDDEADM_EMN_SENDERMAIL_WARNING', '<br /><b>:    mosMail,      !</b>');
DEFINE ('_UDDEIM_FILTEREDMESSAGE', ' ');
DEFINE ('_UDDEIM_FILTEREDMESSAGES', ' ');
DEFINE ('_UDDEIM_FILTER', ':');
DEFINE ('_UDDEIM_FILTER_TITLE_INBOX', '   ');
DEFINE ('_UDDEIM_FILTER_TITLE_OUTBOX', '  ');
DEFINE ('_UDDEIM_FILTER_UNREAD_ONLY', ' ');
DEFINE ('_UDDEIM_FILTER_SUBMIT', '');
DEFINE ('_UDDEIM_FILTER_ALL', '-  -');
DEFINE ('_UDDEIM_FILTER_PUBLIC', '-  -');
DEFINE ('_UDDEADM_FILTER_HEAD', ' ');
DEFINE ('_UDDEADM_FILTER_EXP', ' ,        ,       .');
DEFINE ('_UDDEADM_FILTER_P0', ' ');
DEFINE ('_UDDEADM_FILTER_P1', '  ');
DEFINE ('_UDDEADM_FILTER_P2', '  ');
DEFINE ('_UDDEADM_FILTER_P3', '    ');
DEFINE ('_UDDEIM_NOMESSAGES_FILTERED', '<b>  %s  %s   %s.</b>');	// see next  six lines
DEFINE ('_UDDEIM_NOMESSAGES_FILTERED_FROM', '   ');
DEFINE ('_UDDEIM_NOMESSAGES_FILTERED_TO', '  ');
DEFINE ('_UDDEIM_NOMESSAGES_FILTERED_INBOX', ' ""');
DEFINE ('_UDDEIM_NOMESSAGES_FILTERED_OUTBOX', ' ""');
DEFINE ('_UDDEIM_NOMESSAGES_FILTERED_ARCHIVE', ' ""');
DEFINE ('_UDDEIM_TODP_TITLE', '');
DEFINE ('_UDDEIM_TODP_TITLE_CC', '    (  ;)');
DEFINE ('_UDDEIM_ADDCCINFO_TITLE', ' ,     ,   .');
DEFINE ('_UDDEADM_CFGFILE_CONVERTING_2', '...   ,  ,    ');
DEFINE ('_UDDEADM_AUTORESPONDER_HEAD', ' ');
DEFINE ('_UDDEADM_AUTORESPONDER_EXP', '   ,          .');
DEFINE ('_UDDEIM_EMN_AUTORESPONDER', ' ');
DEFINE ('_UDDEIM_AUTORESPONDER', '');
DEFINE ('_UDDEIM_AUTORESPONDER_EXP', '  ,     ,   .');
DEFINE ('_UDDEIM_AUTORESPONDER_DEFAULT', ',      .      .');
DEFINE ('_UDDEADM_USERSET_AUTOR', '');
DEFINE ('_UDDEADM_USERSET_SELAUTOR', '-  -');
DEFINE ('_UDDEIM_USERBLOCKED', ' .');
DEFINE ('_UDDEADM_AUTOFORWARD_HEAD', ' ');
DEFINE ('_UDDEADM_AUTOFORWARD_EXP', '   ,      .');
DEFINE ('_UDDEIM_EMN_AUTOFORWARD', '  ');
DEFINE ('_UDDEADM_USERSET_AUTOF', '');
DEFINE ('_UDDEADM_USERSET_SELAUTOF', '-  -');
DEFINE ('_UDDEIM_AUTOFORWARD', ' ');
DEFINE ('_UDDEIM_AUTOFORWARD_EXP', '      .');
DEFINE ('_UDDEIM_THISISAFORWARD', '  ,    ');
DEFINE ('_UDDEADM_COLSROWS_HEAD', '   (/)');
DEFINE ('_UDDEADM_COLSROWS_EXP', '         (  - 60/10).');
DEFINE ('_UDDEADM_WIDTH_HEAD', '  ');
DEFINE ('_UDDEADM_WIDTH_EXP', '        (  - 0).   0,       CSS.');
DEFINE ('_UDDEADM_CBE', 'CB Enhanced');
// New: 1.4

DEFINE ('_UDDEADM_IMPORT_CAPS', '');
// New: 1.3

DEFINE ('_UDDEADM_MOOTOOLS_HEAD', ' MooTools');
DEFINE ('_UDDEADM_MOOTOOLS_EXP', '  ,  uddeIM   MooTools (     ).  "  ",      MooTools.     "" (   uddeIM 1.2).     Joomla 1.0,    MooTools 1.1  1.2.');
DEFINE ('_UDDEADM_MOOTOOLS_NONE', '  ');
DEFINE ('_UDDEADM_MOOTOOLS_AUTO', '');
DEFINE ('_UDDEADM_MOOTOOLS_1', '  MooTools 1.1');
DEFINE ('_UDDEADM_MOOTOOLS_2', '  MooTools 1.2');
DEFINE ('_UDDEADM_CFGFILE_CONVERTING_1', '...   MooTools');
DEFINE ('_UDDEADM_AGORA', 'Agora');
// New: 1.2

DEFINE ('_UDDEADM_CRYPT3', '  Base64');
DEFINE ('_UDDEADM_TIMEZONE_HEAD', '  ');
DEFINE ('_UDDEADM_TIMEZONE_EXP', ' uddeIM   ,      . ,    ,   .       .');
DEFINE ('_UDDEADM_HOURS', '');
DEFINE ('_UDDEADM_VERSIONCHECK', '  :');
DEFINE ('_UDDEADM_STATISTICS', ':');
DEFINE ('_UDDEADM_STATISTICS_HEAD', ' ');
DEFINE ('_UDDEADM_STATISTICS_EXP', '        . .');
DEFINE ('_UDDEADM_STATISTICS_CHECK', '');
DEFINE ('_UDDEADM_MAINTENANCE_COUNT', '    . ');
DEFINE ('_UDDEADM_MAINTENANCE_COUNT_RECIPIENT', '  ( ): ');
DEFINE ('_UDDEADM_MAINTENANCE_COUNT_SENDER', '  ( ): ');
DEFINE ('_UDDEADM_MAINTENANCE_COUNT_TRASH', ',  : ');
DEFINE ('_UDDEADM_OVERWRITEITEMID_HEAD', '  Itemid');
DEFINE ('_UDDEADM_OVERWRITEITEMID_EXP', ' uddeIM    Itemid  ,    .        - ,          uddeIM.');
DEFINE ('_UDDEADM_OVERWRITEITEMID_CURRENT', '  Itemid: ');
DEFINE ('_UDDEADM_USEITEMID_HEAD', ' Itemid');
DEFINE ('_UDDEADM_USEITEMID_EXP', '   Itemid  .');
DEFINE ('_UDDEADM_SHOWLINK_HEAD', '   ');
DEFINE ('_UDDEADM_SHOWLINK_EXP', '  "",          .');
DEFINE ('_UDDEADM_SHOWPIC_HEAD', ' ');
DEFINE ('_UDDEADM_SHOWPIC_EXP', '  "",        .');
DEFINE ('_UDDEADM_THUMBLISTS_HEAD', '   ');
DEFINE ('_UDDEADM_THUMBLISTS_EXP', ' ""          (,   . .).');
DEFINE ('_UDDEADM_FIREBOARD', 'Fireboard');
DEFINE ('_UDDEADM_CB', 'Community Builder');
DEFINE ('_UDDEADM_DISABLED', '');
DEFINE ('_UDDEADM_ENABLED', '');
DEFINE ('_UDDEIM_STATUS_FLAGGED', '!');
DEFINE ('_UDDEIM_STATUS_UNFLAGGED', '');
DEFINE ('_UDDEADM_ALLOWFLAGGED_HEAD', '  ');
DEFINE ('_UDDEADM_ALLOWFLAGGED_EXP', '    (    ,       ).');
DEFINE ('_UDDEADM_REVIEWUPDATE', ':    uddeIM   , ,  README .              !');
DEFINE ('_UDDEIM_ADDCCINFO', '   ');
DEFINE ('_UDDEIM_CC', 'CC:');
DEFINE ('_UDDEADM_TRUNCATE_HEAD', '  ');
DEFINE ('_UDDEADM_TRUNCATE_EXP', '    2/3       .');
DEFINE ('_UDDEIM_PLUG_INBOXENTRIES', '  ""');
DEFINE ('_UDDEIM_PLUG_LAST', ' ');
DEFINE ('_UDDEIM_PLUG_ENTRIES', ' ');
DEFINE ('_UDDEIM_PLUG_STATUS', '');
DEFINE ('_UDDEIM_PLUG_SENDER', '');
DEFINE ('_UDDEIM_PLUG_MESSAGE', '');
DEFINE ('_UDDEIM_PLUG_EMPTYINBOX', ' "" ');
// New: 1.1

DEFINE ('_UDDEADM_NOTRASHACCESS_NOT', '   .');
DEFINE ('_UDDEADM_NOTRASHACCESS_HEAD', '   ');
DEFINE ('_UDDEADM_NOTRASHACCESS_EXP', '      ,         .');
DEFINE ('_UDDEADM_NOTRASHACCESS_0', ' ');
DEFINE ('_UDDEADM_NOTRASHACCESS_1', ' ');
DEFINE ('_UDDEADM_NOTRASHACCESS_2', ' ');
DEFINE ('_UDDEADM_PUBHIDEUSERS_HEAD', '    ');
DEFINE ('_UDDEADM_PUBHIDEUSERS_EXP', ' ID    ,    (: 65,66,67).');
DEFINE ('_UDDEADM_HIDEUSERS_HEAD', '    ');
DEFINE ('_UDDEADM_HIDEUSERS_EXP', ' ID    ,    (: 65,66,67).     .');
DEFINE ('_UDDEIM_ERRORCSRF', ' CSRF-');
DEFINE ('_UDDEADM_CSRFPROTECTION_HEAD', '  CSRF');
DEFINE ('_UDDEADM_CSRFPROTECTION_EXP', '       Cross-Site Request Forgery (  "  ").   .  ,     - .');
DEFINE ('_UDDEIM_CANTREPLYARCHIVE', '       .');
DEFINE ('_UDDEIM_COULDNOTRECALLPUBLIC', '      .');
DEFINE ('_UDDEADM_PUBREPLYS_HEAD', '   ');
DEFINE ('_UDDEADM_PUBREPLYS_EXP', '   .');
DEFINE ('_UDDEIM_EMN_BODY_PUBLICWITHMESSAGE', ', %you%,\n\n%user%     %site%.\n__________________\n%pmessage%');
DEFINE ('_UDDEADM_PUBNAMESTEXT', '     ');
DEFINE ('_UDDEADM_PUBNAMESDESC', '      ');
DEFINE ('_UDDEIM_USERLIST', ' ');
DEFINE ('_UDDEIM_YOUHAVETOWAIT', ',        .');
DEFINE ('_UDDEADM_USERSET_LASTSENT', ' ');
DEFINE ('_UDDEADM_TIMEDELAY_HEAD', '   ');
DEFINE ('_UDDEADM_TIMEDELAY_EXP', ' ,        (0 -  ).');
DEFINE ('_UDDEADM_SECONDS', '');
DEFINE ('_UDDEIM_PUBLICSENT', ' .');
DEFINE ('_UDDEIM_ERRORINFROMNAME', '  ');
DEFINE ('_UDDEIM_ERRORINEMAIL', '  ');
DEFINE ('_UDDEIM_YOURNAME', ' :');
DEFINE ('_UDDEIM_YOUREMAIL', ' e-mail:');
DEFINE ('_UDDEADM_VERSIONCHECK_USING', '  uddeIM ');
DEFINE ('_UDDEADM_VERSIONCHECK_LATEST', '    uddeIM.');
DEFINE ('_UDDEADM_VERSIONCHECK_CURRENT', '  ');
DEFINE ('_UDDEADM_VERSIONCHECK_INFO', ' :');
DEFINE ('_UDDEADM_VERSIONCHECK_HEAD', ' ');
DEFINE ('_UDDEADM_VERSIONCHECK_EXP', '    uddeIM.');
DEFINE ('_UDDEADM_VERSIONCHECK_CHECK', ' !');
DEFINE ('_UDDEADM_VERSIONCHECK_ERROR', '     uddeIM.');
DEFINE ('_UDDEIM_NOSUCHLIST', '  !');
DEFINE ('_UDDEIM_LISTSLIMIT_1', '    (. ');
DEFINE ('_UDDEADM_MAXONLISTS_HEAD', '  ');
DEFINE ('_UDDEADM_MAXONLISTS_EXP', '     .');
DEFINE ('_UDDEIM_LISTSNOTENABLED', '   ');
DEFINE ('_UDDEADM_ENABLELISTS_HEAD', '  ');
DEFINE ('_UDDEADM_ENABLELISTS_EXP', '    .           .        ""');
DEFINE ('_UDDEADM_ENABLELISTS_0', '');
DEFINE ('_UDDEADM_ENABLELISTS_1', ' ');
DEFINE ('_UDDEADM_ENABLELISTS_2', ' ');
DEFINE ('_UDDEADM_ENABLELISTS_3', ' ');
DEFINE ('_UDDEIM_LISTSNEW', '  ');
DEFINE ('_UDDEIM_LISTSSAVED', '  ');
DEFINE ('_UDDEIM_LISTSUPDATED', '  ');
DEFINE ('_UDDEIM_LISTSDESC', '');
DEFINE ('_UDDEIM_LISTSNAME', '');
DEFINE ('_UDDEIM_LISTSNAMEWO', ' ( )');
DEFINE ('_UDDEIM_EDITLINK', '');
DEFINE ('_UDDEIM_LISTS', '');
DEFINE ('_UDDEIM_STATUS_READ', '');
DEFINE ('_UDDEIM_STATUS_UNREAD', ' ');
DEFINE ('_UDDEIM_STATUS_ONLINE', ' ');
DEFINE ('_UDDEIM_STATUS_OFFLINE', '  ');
DEFINE ('_UDDEADM_CBGALLERY_HEAD', '    Community Builder');
DEFINE ('_UDDEADM_CBGALLERY_EXP', '  uddeIM    .        ommunity uilder.');
DEFINE ('_UDDEADM_UNBLOCKCB_HEAD', '   Community Builder');
DEFINE ('_UDDEADM_UNBLOCKCB_EXP', '     Community Builder,     .');
DEFINE ('_UDDEIM_GROUPBLOCKED', '     .');
DEFINE ('_UDDEIM_ONEUSERBLOCKS', '  .');
DEFINE ('_UDDEADM_BLOCKGROUPS_HEAD', '  (  )');
DEFINE ('_UDDEADM_BLOCKGROUPS_EXP', ',      .         .          (.  ).');
DEFINE ('_UDDEADM_PUBBLOCKGROUPS_HEAD', '  ( )');
DEFINE ('_UDDEADM_PUBBLOCKGROUPS_EXP', ',     .         .          (.  ).   , ,   ,       .');
DEFINE ('_UDDEADM_BLOCKGROUPS_1', '');
DEFINE ('_UDDEADM_BLOCKGROUPS_2', 'Community Builder');
DEFINE ('_UDDEADM_BLOCKGROUPS_18', '');
DEFINE ('_UDDEADM_BLOCKGROUPS_19', '');
DEFINE ('_UDDEADM_BLOCKGROUPS_20', '');
DEFINE ('_UDDEADM_BLOCKGROUPS_21', '');
DEFINE ('_UDDEADM_BLOCKGROUPS_23', '');
DEFINE ('_UDDEADM_BLOCKGROUPS_24', '');
DEFINE ('_UDDEADM_BLOCKGROUPS_25', '');
DEFINE ('_UDDEIM_NOPUBLICMSG', '      .');
DEFINE ('_UDDEADM_PUBHIDEALLUSERS_HEAD', '    ');
DEFINE ('_UDDEADM_PUBHIDEALLUSERS_EXP', '      .     ,     .');
DEFINE ('_UDDEADM_HIDEALLUSERS_HEAD', '    ');
DEFINE ('_UDDEADM_HIDEALLUSERS_EXP', '       .');
DEFINE ('_UDDEADM_HIDEALLUSERS_0', '');
DEFINE ('_UDDEADM_HIDEALLUSERS_1', ' ');
DEFINE ('_UDDEADM_HIDEALLUSERS_2', ' ');
DEFINE ('_UDDEADM_HIDEALLUSERS_3', ' ');
DEFINE ('_UDDEADM_PUBLIC', '');
DEFINE ('_UDDEADM_PUBMODESHOWALLUSERS_HEAD', '  ');
DEFINE ('_UDDEADM_PUBMODESHOWALLUSERS_EXP', '    .');
DEFINE ('_UDDEADM_USERSET_PUBLIC', ' ');
DEFINE ('_UDDEADM_USERSET_SELPUBLIC', '-  -');
DEFINE ('_UDDEIM_OPTIONS_F', '   ');
DEFINE ('_UDDEIM_MSGLIMITREACHED', '    !');
DEFINE ('_UDDEIM_PUBLICUSER', '');
DEFINE ('_UDDEIM_DELETEDUSER', ' ');
DEFINE ('_UDDEADM_CAPTCHALEN_HEAD', '  Captcha');
DEFINE ('_UDDEADM_CAPTCHALEN_EXP', '     .');
DEFINE ('_UDDEADM_USECAPTCHA_HEAD', '   Captcha');
DEFINE ('_UDDEADM_USECAPTCHA_EXP', '        /');
DEFINE ('_UDDEADM_CAPTCHAF0', '');
DEFINE ('_UDDEADM_CAPTCHAF1', ' ');
DEFINE ('_UDDEADM_CAPTCHAF2', '  ');
DEFINE ('_UDDEADM_CAPTCHAF3', ', ,  ');
DEFINE ('_UDDEADM_CAPTCHAF4', ' ( )');
DEFINE ('_UDDEADM_PUBFRONTEND_HEAD', '  ');
DEFINE ('_UDDEADM_PUBFRONTEND_EXP', '   ,       .           .');
DEFINE ('_UDDEADM_PUBFRONTENDDEF_HEAD', '   ');
DEFINE ('_UDDEADM_PUBFRONTENDDEF_EXP', '      .');
DEFINE ('_UDDEADM_PUBDEF0', '');
DEFINE ('_UDDEADM_PUBDEF1', '');
DEFINE ('_UDDEIM_WRONGCAPTCHA', '  ');

// New: 1.0

DEFINE ('_UDDEADM_NONEORUNKNOWN', '');
DEFINE ('_UDDEADM_DONATE', ',   Uddeim.');

// New: 1.0rc2

DEFINE ('_UDDEADM_BACKUPRESTORE_DATE', '<br/><strong>    :</strong> ');
DEFINE ('_UDDEADM_BACKUPRESTORE_HEAD', '    ');
DEFINE ('_UDDEADM_BACKUPRESTORE_EXP', '           .  ,    uddeIM     .');
DEFINE ('_UDDEADM_BACKUPRESTORE_BACKUP', ' ');
DEFINE ('_UDDEADM_BACKUPRESTORE_RESTORE', ': ');
DEFINE ('_UDDEADM_CANCEL', '');

// New: 1.0rc1

DEFINE ('_UDDEADM_LANGUAGECHARSET_HEAD', '  ');
DEFINE ('_UDDEADM_LANGUAGECHARSET_EXP', '   ');
DEFINE ('_UDDEADM_LANGUAGECHARSET_UTF8', 'UTF-8');
DEFINE ('_UDDEADM_LANGUAGECHARSET_DEFAULT', ' ');
DEFINE ('_UDDEIM_READ_INFO_1', '      ""  ');
DEFINE ('_UDDEIM_READ_INFO_2', ' ,     .');
DEFINE ('_UDDEIM_UNREAD_INFO_1', '      "" ');
DEFINE ('_UDDEIM_UNREAD_INFO_2', ' ,     .');
DEFINE ('_UDDEIM_SENT_INFO_1', '      "" ');
DEFINE ('_UDDEIM_SENT_INFO_2', ' ,     .');
DEFINE ('_UDDEADM_DELETEREADAFTERNOTE_HEAD', '    ');
DEFINE ('_UDDEADM_DELETEREADAFTERNOTE_EXP', '          .');
DEFINE ('_UDDEADM_DELETEUNREADAFTERNOTE_HEAD', '    ');
DEFINE ('_UDDEADM_DELETEUNREADAFTERNOTE_EXP', '          .');
DEFINE ('_UDDEADM_DELETESENTAFTERNOTE_HEAD', '    ');
DEFINE ('_UDDEADM_DELETESENTAFTERNOTE_EXP', '         .');
DEFINE ('_UDDEADM_DELETETRASHAFTERNOTE_HEAD', '     ');
DEFINE ('_UDDEADM_DELETETRASHAFTERNOTE_EXP', '          .');
DEFINE ('_UDDEADM_DELETESENTAFTER_HEAD', '  ');
DEFINE ('_UDDEADM_DELETESENTAFTER_EXP', ',       .');
DEFINE ('_UDDEIM_SEND_TOALLSPECIAL', '   ');
DEFINE ('_UDDEIM_SYSGM_WILLSENDTOALLSPECIAL', ' <strong>  </strong>');
DEFINE ('_UDDEADM_USERSET_SELUSERNAME', '-    -');
DEFINE ('_UDDEADM_USERSET_SELNAME', '-   -');
DEFINE ('_UDDEADM_USERSET_EDITSETTINGS', '  ');
DEFINE ('_UDDEADM_USERSET_EXISTING', '');
DEFINE ('_UDDEADM_USERSET_NONEXISTING', ' ');
DEFINE ('_UDDEADM_USERSET_SELENTRY', '-   -');
DEFINE ('_UDDEADM_USERSET_SELNOTIFICATION', '-   -');
DEFINE ('_UDDEADM_USERSET_SELPOPUP', '-    -');
DEFINE ('_UDDEADM_USERSET_USERNAME', ' ');
DEFINE ('_UDDEADM_USERSET_NAME', '');
DEFINE ('_UDDEADM_USERSET_NOTIFICATION', '');
DEFINE ('_UDDEADM_USERSET_POPUP', ' ');
DEFINE ('_UDDEADM_USERSET_LASTACCESS', '  ');
DEFINE ('_UDDEADM_USERSET_NO', '');
DEFINE ('_UDDEADM_USERSET_YES', '');
DEFINE ('_UDDEADM_USERSET_UNKNOWN', '');
DEFINE ('_UDDEADM_USERSET_WHENOFFLINEEXCEPT', '    ( )');
DEFINE ('_UDDEADM_USERSET_ALWAYSEXCEPT', ' ( )');
DEFINE ('_UDDEADM_USERSET_WHENOFFLINE', '  ');
DEFINE ('_UDDEADM_USERSET_ALWAYS', '');
DEFINE ('_UDDEADM_USERSET_NONOTIFICATION', ' ');
DEFINE ('_UDDEADM_WELCOMEMSG', '   uddeIM!\n\n      uddeIM           (    ).\n\nuddeIM -   . ,      ,     .\n\n !\n\n : [url=http://www.provitiligo.com/] [/url]');
DEFINE ('_UDDEADM_UDDEINSTCOMPLETE', 'uddeIM  .');
DEFINE ('_UDDEADM_REVIEWSETTINGS', ',     .');
DEFINE ('_UDDEADM_REVIEWLANG', '    Joomla,   ISO 8859-1,         uddeIM.');
DEFINE ('_UDDEADM_REVIEWEMAILSTOP', ' ,   uddeIM    e-mail      .');
DEFINE ('_UDDEADM_MAXRECIPIENTS_HEAD', '  ');
DEFINE ('_UDDEADM_MAXRECIPIENTS_EXP', '     (0 -  ).');
DEFINE ('_UDDEIM_TOOMANYRECIPIENTS', '  ');
DEFINE ('_UDDEIM_STOPPEDEMAIL', '   .');
DEFINE ('_UDDEADM_SEARCHINSTRING_HEAD', '  ');
DEFINE ('_UDDEADM_SEARCHINSTRING_EXP', '       (   -   ).');
DEFINE ('_UDDEADM_MODESHOWALLUSERS_HEAD', '  " "');
DEFINE ('_UDDEADM_MODESHOWALLUSERS_EXP', ',      .');
DEFINE ('_UDDEADM_MODESHOWALLUSERS_0', '');
DEFINE ('_UDDEADM_MODESHOWALLUSERS_1', ' ');
DEFINE ('_UDDEADM_MODESHOWALLUSERS_2', ' ');
DEFINE ('_UDDEADM_CONFIGNOTWRITEABLE', '     :');
DEFINE ('_UDDEADM_CONFIGWRITEABLE', '    :');
DEFINE ('_UDDEIM_FORWARDLINK', '');
DEFINE ('_UDDEIM_RECIPIENTFOUND', ' ');
DEFINE ('_UDDEIM_RECIPIENTSFOUND', ' ');
DEFINE ('_UDDEADM_MAILSYSTEM_MOSMAIL', ' mosMail');
DEFINE ('_UDDEADM_MAILSYSTEM_PHPMAIL', ' php mail ( )');
DEFINE ('_UDDEADM_MAILSYSTEM_HEAD', '   :');
DEFINE ('_UDDEADM_MAILSYSTEM_EXP', '    email.');
DEFINE ('_UDDEADM_SHOWGROUPS_HEAD', '  ');
DEFINE ('_UDDEADM_SHOWGROUPS_EXP', '      .');
DEFINE ('_UDDEADM_ALLOWFORWARDS_HEAD', '  ');
DEFINE ('_UDDEADM_ALLOWFORWARDS_EXP', '   .');
DEFINE ('_UDDEIM_FWDFROM', '  ');
DEFINE ('_UDDEIM_FWDTO', '');

// New: 0.9+

DEFINE ('_UDDEIM_UNARCHIVE', '&nbsp;&nbsp;');
DEFINE ('_UDDEIM_CANTUNARCHIVE', '    ');
DEFINE ('_UDDEADM_ALLOWMULTIPLERECIPIENTS_HEAD', '    ');
DEFINE ('_UDDEADM_ALLOWMULTIPLERECIPIENTS_EXP', '      ( ).');
DEFINE ('_UDDEIM_CHARSLEFT', '  ');
DEFINE ('_UDDEADM_SHOWTEXTCOUNTER_HEAD', '  "  "?');
DEFINE ('_UDDEADM_SHOWTEXTCOUNTER_EXP', '    .');
DEFINE ('_UDDEIM_CLEAR', '');
DEFINE ('_UDDEADM_ALLOWMULTIPLEUSER_HEAD', '     ');
DEFINE ('_UDDEADM_ALLOWMULTIPLEUSER_EXP', '              "".');
DEFINE ('_UDDEADM_CBALLOWMULTIPLEUSER_HEAD', '     ');
DEFINE ('_UDDEADM_CBALLOWMULTIPLEUSER_EXP', '       Community Builder.');
DEFINE ('_UDDEADM_PMSFOUND', 'PMS : ');
DEFINE ('_UDDEIM_ENTERNAME', ' ');
DEFINE ('_UDDEADM_USEAUTOCOMPLETE_HEAD', ' ');
DEFINE ('_UDDEADM_USEAUTOCOMPLETE_EXP', '  .');
DEFINE ('_UDDEADM_OBFUSCATING_HEAD', ' ');
DEFINE ('_UDDEADM_OBFUSCATING_EXP', '     ( ,      !).');
DEFINE ('_UDDEADM_CFGFILE_NOTFOUND', '   !');
DEFINE ('_UDDEADM_CFGFILE_FOUND', ' :');
DEFINE ('_UDDEADM_CFGFILE_EXPECTED', ' :');
DEFINE ('_UDDEADM_CFGFILE_CONVERTING', ' ...');
DEFINE ('_UDDEADM_CFGFILE_DONE', '!');
DEFINE ('_UDDEADM_CFGFILE_WRITEFAILED', '  !    :');

// New: 0.8+

DEFINE ('_UDDEIM_ENCRYPTDOWN', ' .  !');
DEFINE ('_UDDEIM_WRONGPASSDOWN', ' .  !');
DEFINE ('_UDDEIM_WRONGPW', ' .    !');
DEFINE ('_UDDEIM_WRONGPASS', ' .');
DEFINE ('_UDDEADM_MAINTENANCE_D1', '    (/): ');
DEFINE ('_UDDEADM_MAINTENANCE_D2', '  ');
DEFINE ('_UDDEIM_TODP', ': ');
DEFINE ('_UDDEADM_MAINTENANCE_PRUNE', '  ?');
DEFINE ('_UDDEADM_SHOWACTIONICONS_HEAD', '  ');
DEFINE ('_UDDEADM_SHOWACTIONICONS_EXP', '  "",      .');
DEFINE ('_UDDEIM_UNCHECKALL', ' ');
DEFINE ('_UDDEIM_CHECKALL', ' ');
DEFINE ('_UDDEADM_SHOWBOTTOMICONS_HEAD', '  ');
DEFINE ('_UDDEADM_SHOWBOTTOMICONS_EXP', '  "",      .');
DEFINE ('_UDDEADM_ANIMATED_HEAD', '  ');
DEFINE ('_UDDEADM_ANIMATED_EXP', '    .');
DEFINE ('_UDDEADM_ANIMATEDEX_HEAD', '  ');
DEFINE ('_UDDEADM_ANIMATEDEX_EXP', '   .');
DEFINE ('_UDDEIM_PASSWORDREQ', '  -  ');
DEFINE ('_UDDEIM_PASSWORD', ' ');
DEFINE ('_UDDEIM_PASSWORDBOX', '');
DEFINE ('_UDDEIM_ENCRYPTIONTEXT', ' ( )');
DEFINE ('_UDDEIM_DECRYPTIONTEXT', ' ( )');
DEFINE ('_UDDEIM_MORE', '');

// uddeIM Module

DEFINE ('_UDDEMODULE_PRIVATEMESSAGES', ' ');
DEFINE ('_UDDEMODULE_NONEW', ': ');
DEFINE ('_UDDEMODULE_NEWMESSAGES', ': ');
DEFINE ('_UDDEMODULE_MESSAGE', '');
DEFINE ('_UDDEMODULE_MESSAGES', '');
DEFINE ('_UDDEMODULE_YOUHAVE', ' ');
DEFINE ('_UDDEMODULE_HELLO', '');
DEFINE ('_UDDEMODULE_EXPRESSMESSAGE', ' ');

// New: 0.7+

DEFINE ('_UDDEADM_USEENCRYPTION', ' ');
DEFINE ('_UDDEADM_USEENCRYPTIONDESC', '  ');
DEFINE ('_UDDEADM_CRYPT0', '');
DEFINE ('_UDDEADM_CRYPT1', ' ');
DEFINE ('_UDDEADM_CRYPT2', ' ');
DEFINE ('_UDDEADM_NOTIFYDEFAULT_HEAD', '   ');
DEFINE ('_UDDEADM_NOTIFYDEFAULT_EXP', '   e-mail   (    ).');
DEFINE ('_UDDEADM_NOTIFYDEF_0', ' ');
DEFINE ('_UDDEADM_NOTIFYDEF_1', ' ');
DEFINE ('_UDDEADM_NOTIFYDEF_2', '    ');
DEFINE ('_UDDEADM_SUPPRESSALLUSERS_HEAD', '  " "');
DEFINE ('_UDDEADM_SUPPRESSALLUSERS_EXP', '    (     ).');
DEFINE ('_UDDEADM_POPUP_HEAD','  ');
DEFINE ('_UDDEADM_POPUP_EXP','  ,     (    mod_cblogin)');
DEFINE ('_UDDEIM_OPTIONS', ' ');
DEFINE ('_UDDEIM_OPTIONS_EXP', '      .');
DEFINE ('_UDDEIM_OPTIONS_P', '  ,    .');
DEFINE ('_UDDEADM_POPUPDEFAULT_HEAD', '   ');
DEFINE ('_UDDEADM_POPUPDEFAULT_EXP', '     (  ).');
DEFINE ('_UDDEADM_MAINTENANCE', '');
DEFINE ('_UDDEADM_MAINTENANCE_HEAD', '  ');
DEFINE ('_UDDEADM_MAINTENANCE_CHECK', ' ');
DEFINE ('_UDDEADM_MAINTENANCE_TRASH', ': ');
DEFINE ('_UDDEADM_MAINTENANCE_EXP', '    ,  ,  , .   ,    ,       .           .');
DEFINE ('_UDDEADM_MAINTENANCE_MC1', '...<br />');
DEFINE ('_UDDEADM_MAINTENANCE_MC2', '#nnn ( ): [| || ]<br /><br />');
DEFINE ('_UDDEADM_MAINTENANCE_MC3', '<b></b> - ,    "".<br />');
DEFINE ('_UDDEADM_MAINTENANCE_MC4', '<b> </b> -  ,    ""  .<br />');
DEFINE ('_UDDEADM_MAINTENANCE_MC5', '<b></b> - ,    "".<br />');
DEFINE ('_UDDEADM_MAINTENANCE_MC6', '<b> </b> -  ,    ""  .<br />');
DEFINE ('_UDDEADM_MAINTENANCE_MT1', '...<br />');
DEFINE ('_UDDEADM_MAINTENANCE_NOTFOUND', "not found (from/to/settings/blocker/blocked):");
DEFINE ('_UDDEADM_MAINTENANCE_MT2', "delete all preferences from user");
DEFINE ('_UDDEADM_MAINTENANCE_MT3', "delete blocking of user");
DEFINE ('_UDDEADM_MAINTENANCE_MT4', "trash all messages sent to deleted user in sender\'s outbox and deleted user\'s inbox");
DEFINE ('_UDDEADM_MAINTENANCE_MT5', "trash all messages sent from deleted user in his outbox and receiver\'s inbox");
DEFINE ('_UDDEADM_MAINTENANCE_NOTHINGTODO', '<b>  </b><br />');
DEFINE ('_UDDEADM_MAINTENANCE_JOBTODO', '<b> </b><br />');

// New: 0.6+

DEFINE ('_UDDEADM_NAMESTEXT', '  ');
DEFINE ('_UDDEADM_NAMESDESC', '     .');
DEFINE ('_UDDEADM_REALNAMES', ' ');
DEFINE ('_UDDEADM_USERNAMES', ' ');
DEFINE ('_UDDEADM_CONLISTBOX', ' ');
DEFINE ('_UDDEADM_CONLISTBOXDESC', '        .');
DEFINE ('_UDDEADM_LISTBOX', '');
DEFINE ('_UDDEADM_TABLE', '');
DEFINE ('_UDDEIM_TRASHCAN_INFO', '     24 ,    .      .    ,   .');

//  0.4

DEFINE ('_UDDEIM_TRASHCAN_INFO_1', '     ');
DEFINE ('_UDDEIM_TRASHCAN_INFO_2', ' ,    .      .    ,   .');
DEFINE ('_UDDEIM_RECALLEDMESSAGE_INFO', 'C .        .');
DEFINE ('_UDDEIM_COULDNOTRECALL', '   (    ).');
DEFINE ('_UDDEIM_CANTRESTORE', '   . ,       .');
DEFINE ('_UDDEIM_COULDNOTRESTORE', '   .');
DEFINE ('_UDDEIM_DONTSEND', ' ');
DEFINE ('_UDDEIM_SENDAGAIN', ' ');
DEFINE ('_UDDEIM_NOTLOGGEDIN', '  .');
DEFINE ('_UDDEIM_NOMESSAGES_INBOX', '  ""  .');
DEFINE ('_UDDEIM_NOMESSAGES_OUTBOX', '  ""  .');
DEFINE ('_UDDEIM_NOMESSAGES_TRASHCAN', '   .');
DEFINE ('_UDDEIM_INBOX', '');
DEFINE ('_UDDEIM_OUTBOX', '');
DEFINE ('_UDDEIM_TRASHCAN', '');
DEFINE ('_UDDEIM_CREATE', '');
DEFINE ('_UDDEIM_UDDEIM', ' '); // this is the headline/name of the component as it appears in Mambo
DEFINE ('_UDDEIM_READSTATUS', ''); // as in 'this message has been "read"'
DEFINE ('_UDDEIM_FROM', '');
DEFINE ('_UDDEIM_FROM_SMALL', ':');
DEFINE ('_UDDEIM_TO', '');
DEFINE ('_UDDEIM_TO_SMALL', ':');
DEFINE ('_UDDEIM_OUTBOX_WARNING', ' "<strong></strong>"     (    ).    ,      .   ,     . ');
DEFINE ('_UDDEIM_RECALL', '');
DEFINE ('_UDDEIM_RECALLTHISMESSAGE', ' ');
DEFINE ('_UDDEIM_RESTORE', '');
DEFINE ('_UDDEIM_MESSAGE', '');
DEFINE ('_UDDEIM_DATE', '');
DEFINE ('_UDDEIM_DELETED', '');
DEFINE ('_UDDEIM_DELETE', '');
DEFINE ('_UDDEIM_DELETELINK', '');
DEFINE ('_UDDEIM_MESSAGENOACCESS', '    . <br /> :<ul><li>       .</li><li>  .</li></ul>');
DEFINE ('_UDDEIM_YOUMOVEDTOTRASH', '<b>     .</b>');
DEFINE ('_UDDEIM_MESSAGEFROM', ' ');
DEFINE ('_UDDEIM_MESSAGETO', '  ');
DEFINE ('_UDDEIM_REPLY', '');
DEFINE ('_UDDEIM_SUBMIT', '');
DEFINE ('_UDDEIM_NOMESSAGE', ':  !   .');
DEFINE ('_UDDEIM_MESSAGE_REPLIEDTO', ' !');
DEFINE ('_UDDEIM_MESSAGE_SENT', ' !');
DEFINE ('_UDDEIM_MOVEDTOTRASH', '      ');
DEFINE ('_UDDEIM_NOSUCHUSER', '     !');
DEFINE ('_UDDEIM_NOTTOYOURSELF', '    !');
DEFINE ('_UDDEIM_PRUNELINK', ': ');
DEFINE ('_UDDEIM_BLOCKS', '');
DEFINE ('_UDDEIM_YOUAREBLOCKED', '  .   .');
DEFINE ('_UDDEIM_BLOCKNOW', '');
DEFINE ('_UDDEIM_BLOCKS_EXP', ' ,      .');
DEFINE ('_UDDEIM_NOBODYBLOCKED', '  .');
DEFINE ('_UDDEIM_YOUBLOCKED_PRE', '    ');
DEFINE ('_UDDEIM_YOUBLOCKED_POST', ' .');
DEFINE ('_UDDEIM_UNBLOCKNOW', '[]');
DEFINE ('_UDDEIM_BLOCKALERT_EXP_ON', '      ,     .');
DEFINE ('_UDDEIM_BLOCKALERT_EXP_OFF', '      .');
DEFINE ('_UDDEIM_CANTBLOCKADMINS', '    .');
DEFINE ('_UDDEIM_BLOCKSDISABLED', '  ');
DEFINE ('_UDDEIM_CANTREPLY', '      .');
DEFINE ('_UDDEIM_EMNOFF', '  e-mail . ');
DEFINE ('_UDDEIM_EMNON', '  e-mail . ');
DEFINE ('_UDDEIM_SETEMNON', '[]');
DEFINE ('_UDDEIM_SETEMNOFF', '[]');
DEFINE ('_UDDEIM_EMN_BODY_NOMESSAGE', ', %you% 



%user%      %site%.

,   ,   !');
DEFINE ('_UDDEIM_EMN_BODY_WITHMESSAGE', ', %you%  



%user%      %site%.

   ,   !



*****************



%pmessage%

');
DEFINE ('_UDDEIM_EMN_FORGETMENOT', ', %you%



  %site%    .

,   ,   !

');
DEFINE ('_UDDEIM_EXPORT_FORMAT', '

================================================================================

%user% (%msgdate%)

----------------------------------------

%msgbody%

================================================================================');
DEFINE ('_UDDEIM_EMN_SUBJECT', '   %site%');
DEFINE ('_UDDEIM_ARCHIVE_ERROR', '     .');
DEFINE ('_UDDEIM_ARC_SAVED_NONE', '    .');
DEFINE ('_UDDEIM_ARC_SAVED_1', '  ');
DEFINE ('_UDDEIM_ARC_SAVED_2', ' .');
DEFINE ('_UDDEIM_ARC_SAVED_ONE', '   ');
DEFINE ('_UDDEIM_ARC_SAVED_3', '    ,    .');
DEFINE ('_UDDEIM_ARC_CANSAVEMAX_1', '     ');
DEFINE ('_UDDEIM_ARC_CANSAVEMAX_2', ' .');
DEFINE ('_UDDEIM_INBOX_LIMIT_1', ' ');
DEFINE ('_UDDEIM_INBOX_LIMIT_2', '   ');
DEFINE ('_UDDEIM_ARC_UNIVERSE_ARC', ' ""');
DEFINE ('_UDDEIM_ARC_UNIVERSE_INBOX', ' ""');
DEFINE ('_UDDEIM_ARC_UNIVERSE_BOTH', ' ""  ""');  // The lines above are to make up a sentence like "You have | 126 | messages in your | inbox and archive"
DEFINE ('_UDDEIM_INBOX_LIMIT_3', '  ');
DEFINE ('_UDDEIM_INBOX_LIMIT_4', ' -   ,       ,    .');
DEFINE ('_UDDEIM_SHOWINBOXLIMIT_1', ' : ');
DEFINE ('_UDDEIM_SHOWINBOXLIMIT_2', '( ');  // don't add closing bracket
DEFINE ('_UDDEIM_MESSAGE_ARCHIVED', '   .');
DEFINE ('_UDDEIM_STORE', ' '); // translators info: as in: 'store this message in archive now'
DEFINE ('_UDDEIM_BACK', '');
DEFINE ('_UDDEIM_TRASHCHECKED', ' '); // translators info: plural! (as in "delete checked" messages)
DEFINE ('_UDDEIM_SHOWALL', ' '); // translators example "SHOW ALL messages"
DEFINE ('_UDDEIM_ARCHIVE', ''); // should be same as _UDDEADM_ARCHIVE
DEFINE ('_UDDEIM_ARCHIVEFULL', ' .   .');
DEFINE ('_UDDEIM_NOMSGSELECTED', '  .');
DEFINE ('_UDDEIM_THISISACOPY', ' ,   ');
DEFINE ('_UDDEIM_SENDCOPYTOME', ' '); // as in 'send a "copy to me"' or cc: me
DEFINE ('_UDDEIM_SENDCOPYTOARCHIVE', '  ');
DEFINE ('_UDDEIM_TRASHORIGINAL', ' ');
DEFINE ('_UDDEIM_MESSAGEDOWNLOAD', ' ');
DEFINE ('_UDDEIM_EXPORT_MAILED', '        .');
DEFINE ('_UDDEIM_EXPORT_NOW', '    '); // as in "send the messages checked above by E-Mail to me"
DEFINE ('_UDDEIM_EXPORT_MAIL_INTRO', '     .');
DEFINE ('_UDDEIM_EXPORT_COULDNOTSEND', '    .');
DEFINE ('_UDDEIM_LIMITREACHED', ' !   .');
DEFINE ('_UDDEIM_WRITEMSGTO', '   '); // as in "write a message to" (a person)

// months and weeknames (please translate according to your language)

$udde_smon[1]="";
$udde_smon[2]="";
$udde_smon[3]="";
$udde_smon[4]="";
$udde_smon[5]="";
$udde_smon[6]="";
$udde_smon[7]="";
$udde_smon[8]="";
$udde_smon[9]="";
$udde_smon[10]="";
$udde_smon[11]="";
$udde_smon[12]="";

$udde_lmon[1]="";
$udde_lmon[2]="";
$udde_lmon[3]="";
$udde_lmon[4]="";
$udde_lmon[5]="";
$udde_lmon[6]="";
$udde_lmon[7]="";
$udde_lmon[8]="";
$udde_lmon[9]="";
$udde_lmon[10]="";
$udde_lmon[11]="";
$udde_lmon[12]="";

$udde_lweekday[0]="";
$udde_lweekday[1]="";
$udde_lweekday[2]="";
$udde_lweekday[3]="";
$udde_lweekday[4]="";
$udde_lweekday[5]="";
$udde_lweekday[6]="";

$udde_sweekday[0]="";
$udde_sweekday[1]="";
$udde_sweekday[2]="";
$udde_sweekday[3]="";
$udde_sweekday[4]="";
$udde_sweekday[5]="";
$udde_sweekday[6]="";

// *********************************************************
// the following can remain English
// *********************************************************

DEFINE ('_UDDEIM_NOID', ':    .');
DEFINE ('_UDDEIM_VIOLATION', '<b> !</b>       !');
DEFINE ('_UDDEIM_UNEXPECTEDERROR_QUIT', ' : ');
DEFINE ('_UDDEIM_ARCHIVENOTENABLED', '  .');

// *********************************************************
// No translation necessary below this line
// *********************************************************

DEFINE ('_UDDEIM_ONLINEPIC', 'images/icon_online.gif');
DEFINE ('_UDDEIM_OFFLINEPIC', 'images/icon_offline.gif');

// Admin

DEFINE ('_UDDEADM_SETTINGS', '');
DEFINE ('_UDDEADM_GENERAL', '');
DEFINE ('_UDDEADM_ABOUT', ' ');
DEFINE ('_UDDEADM_DATESETTINGS', '  ');
DEFINE ('_UDDEADM_PICSETTINGS', '');
DEFINE ('_UDDEADM_DELETEREADAFTER_HEAD', '  ');
DEFINE ('_UDDEADM_DELETEUNREADAFTER_HEAD', '  ');
DEFINE ('_UDDEADM_DELETETRASHAFTER_HEAD', '   ');
DEFINE ('_UDDEADM_DAYS', '');
DEFINE ('_UDDEADM_DELETEREADAFTER_EXP', ',       (       ).');
DEFINE ('_UDDEADM_DELETEUNREADAFTER_EXP', ',       .');
DEFINE ('_UDDEADM_DELETETRASHAFTER_EXP', ',       (      1  4 ).');
DEFINE ('_UDDEADM_DATEFORMAT_HEAD', ' ');
DEFINE ('_UDDEADM_DATEFORMAT_EXP', '      .   ,   Joomla. (     uddeIM).');
DEFINE ('_UDDEADM_LDATEFORMAT_HEAD', '  ');
DEFINE ('_UDDEADM_LDATEFORMAT_EXP', '    ,      .           Joomla (     uddeIM).');
DEFINE ('_UDDEADM_ADMINIGNITIONONLY_HEAD', '  ');
DEFINE ('_UDDEADM_ADMINIGNITIONONLY_YES', ' ');
DEFINE ('_UDDEADM_ADMINIGNITIONONLY_NO', ' ');
DEFINE ('_UDDEADM_ADMINIGNITIONONLY_EXP', '         !  " "    , " " -  .');
DEFINE ('_UDDEADM_SAVESETTINGS', '');
DEFINE ('_UDDEADM_THISHASBEENSAVED', '     :');
DEFINE ('_UDDEADM_SETTINGSSAVED', '  .');
DEFINE ('_UDDEADM_ICONONLINEPIC_HEAD', '"  "');
DEFINE ('_UDDEADM_ICONONLINEPIC_EXP', ' ,   .');
DEFINE ('_UDDEADM_ICONOFFLINEPIC_HEAD', '"   "');
DEFINE ('_UDDEADM_ICONOFFLINEPIC_EXP', ' ,    .');
DEFINE ('_UDDEADM_ICONREADPIC_HEAD', '" "');
DEFINE ('_UDDEADM_ICONREADPIC_EXP', '  .');
DEFINE ('_UDDEADM_ICONUNREADPIC_HEAD', '" "');
DEFINE ('_UDDEADM_ICONUNREADPIC_EXP', '  .');
DEFINE ('_UDDEADM_MODULENEWMESS_HEAD', '  ');
DEFINE ('_UDDEADM_MODULENEWMESS_EXP', '  mod_uddeim_new.  ,       .');
DEFINE ('_UDDEADM_UDDEINSTALL', ' uddeIM');
DEFINE ('_UDDEADM_FINISHED', ' .    uddeIM!');
DEFINE ('_UDDEADM_NOCB', '<span style="color: red;"> Community Builder!        uddeIM!</span><br /><br /> Community Builder ? <a href="http://communitybuilder.ru/">  Community Builder</a>.');
DEFINE ('_UDDEADM_CONTINUE', '');
DEFINE ('_UDDEADM_PMSFOUND_1', ' ');
DEFINE ('_UDDEADM_PMSFOUND_2', '   myPMS.      uddeIM?');
DEFINE ('_UDDEADM_IMPORT_EXP', '     myPMS,       .       uddeIM,      myPMS (,    !).  ,       uddeIM,    .');
DEFINE ('_UDDEADM_IMPORT_YES', ' myPMS  uddeIM');
DEFINE ('_UDDEADM_IMPORT_NO', '  ');  
DEFINE ('_UDDEADM_IMPORTING', ',         !');
DEFINE ('_UDDEADM_IMPORTDONE', '   .   ,       .'); 
DEFINE ('_UDDEADM_IMPORT', '');
DEFINE ('_UDDEADM_IMPORT_HEADER', ' myPMS  ');
DEFINE ('_UDDEADM_PMSNOTFOUND', 'myPMS  .  .');
DEFINE ('_UDDEADM_ALREADYIMPORTED', '     myPMS  uddeIM.');
DEFINE ('_UDDEADM_BLOCKSYSTEM_HEAD', '  ');
DEFINE ('_UDDEADM_BLOCKSYSTEM_EXP', ' ,     .       ,   .     .');
DEFINE ('_UDDEADM_BLOCKSYSTEM_YES', '');
DEFINE ('_UDDEADM_BLOCKSYSTEM_NO', '');
DEFINE ('_UDDEADM_BLOCKALERT_HEAD', '    ');
DEFINE ('_UDDEADM_BLOCKALERT_EXP', '  "",      ,        .  "" -      .');
DEFINE ('_UDDEADM_BLOCKALERT_YES', '');
DEFINE ('_UDDEADM_BLOCKALERT_NO', '');
DEFINE ('_UDDEADM_DELETIONS', '');
DEFINE ('_UDDEADM_BLOCK', '');
DEFINE ('_UDDEADM_INTEGRATION', '');
DEFINE ('_UDDEADM_EMAIL', 'E-mail');
DEFINE ('_UDDEADM_SHOWCBLINK_HEAD', '  Community Builder');
DEFINE ('_UDDEADM_SHOWCBLINK_EXP', '  "",    ,   uddeIM,    CB.');
DEFINE ('_UDDEADM_SHOWCBPIC_HEAD', '  Community Builder');
DEFINE ('_UDDEADM_SHOWCBPIC_EXP', '');
DEFINE ('_UDDEADM_SHOWONLINE_HEAD', '   ');
DEFINE ('_UDDEADM_SHOWONLINE_EXP', '  "",       ,  ,      .');
DEFINE ('_UDDEADM_ALLOWEMAILNOTIFY_HEAD', '    e-mail');
DEFINE ('_UDDEADM_ALLOWEMAILNOTIFY_EXP', '  "",    ,         .');
DEFINE ('_UDDEADM_EMAILWITHMESSAGE_HEAD', '   ?');
DEFINE ('_UDDEADM_EMAILWITHMESSAGE_EXP', '  "",       ,     .');
DEFINE ('_UDDEADM_LONGWAITINGEMAIL_HEAD', '  e-mail');
DEFINE ('_UDDEADM_LONGWAITINGEMAIL_EXP', '          ,       .        "    e-mail". ');
DEFINE ('_UDDEADM_LONGWAITINGDAYS_HEAD', '   ');
DEFINE ('_UDDEADM_LONGWAITINGDAYS_EXP', '  (  ).');
DEFINE ('_UDDEADM_FIRSTWORDSINBOX_HEAD', '  ');
DEFINE ('_UDDEADM_FIRSTWORDSINBOX_EXP', '          .');
DEFINE ('_UDDEADM_MAXLENGTH_HEAD', '   ( )');
DEFINE ('_UDDEADM_MAXLENGTH_EXP', '   .  "0"       ( ).');
DEFINE ('_UDDEADM_YES', '');
DEFINE ('_UDDEADM_NO', '');
DEFINE ('_UDDEADM_ADMINSONLY', ' ');
DEFINE ('_UDDEADM_SYSTEM', '');
DEFINE ('_UDDEADM_SYSM_USERNAME_HEAD', '   ');
DEFINE ('_UDDEADM_SYSM_USERNAME_EXP', 'uddeIM    .     ,       .      ( : " "  ""');
DEFINE ('_UDDEADM_ALLOWTOALL_HEAD', '     ');
DEFINE ('_UDDEADM_ALLOWTOALL_EXP', ' uddeIM    .        .     .');
DEFINE ('_UDDEADM_EMN_SENDERNAME_HEAD', ' ');
DEFINE ('_UDDEADM_EMN_SENDERNAME_EXP', ' ,        (: "")');
DEFINE ('_UDDEADM_EMN_SENDERMAIL_HEAD', 'E-mail  ');
DEFINE ('_UDDEADM_EMN_SENDERMAIL_EXP', '       .');
DEFINE ('_UDDEADM_VERSION', 'uddeIM ');
DEFINE ('_UDDEADM_ARCHIVE', ''); // translators info: headline for Archive system
DEFINE ('_UDDEADM_ALLOWARCHIVE_HEAD', ' ');
DEFINE ('_UDDEADM_ALLOWARCHIVE_EXP', ',        .      .');
DEFINE ('_UDDEADM_MAXARCHIVE_HEAD', '    ');
DEFINE ('_UDDEADM_MAXARCHIVE_EXP', '       .');
DEFINE ('_UDDEADM_COPYTOME_HEAD', ' ');
DEFINE ('_UDDEADM_COPYTOME_EXP', '     .     "".');
DEFINE ('_UDDEADM_MESSAGES', '');
DEFINE ('_UDDEADM_TRASHORIGINAL_HEAD', '  '); // 'trash original' the same as _UDDEIM_TRASHORIGINAL
DEFINE ('_UDDEADM_TRASHORIGINAL_EXP', '     .');

// translators info: 'Send' is the same as _UDDEIM_SUBMIT, 


DEFINE ('_UDDEADM_PERPAGE_HEAD', '  ');  
DEFINE ('_UDDEADM_PERPAGE_EXP', '  ,   .');
DEFINE ('_UDDEADM_CHARSET_HEAD', ' ');
DEFINE ('_UDDEADM_CHARSET_EXP', '    ,           .');
DEFINE ('_UDDEADM_MAILCHARSET_HEAD', '   e-mail');
DEFINE ('_UDDEADM_MAILCHARSET_EXP', '    ,           .'); // translators info: if you're translating into a language that uses a latin charset (like English, Dutch, German, Swedish, Spanish, ... ) you might want to add a line saying 'For usage in [mylanguage] the default value is correct.'
DEFINE ('_UDDEADM_EMN_BODY_NOMESSAGE_EXP', '         .     %you%, %user% and %site%.');            
DEFINE ('_UDDEADM_EMN_BODY_WITHMESSAGE_EXP', '         .     %you%, %user%, %pmessage% and %site% intact. ');
DEFINE ('_UDDEADM_EMN_FORGETMENOT_EXP', '             .      %you%  %site% . ');
DEFINE ('_UDDEADM_ENABLEDOWNLOAD_EXP', '     ,      .');
DEFINE ('_UDDEADM_ENABLEDOWNLOAD_HEAD', '  ');
DEFINE ('_UDDEADM_EXPORT_FORMAT_EXP', '    ,       .   %user%, %msgdate%  %msgbody%  . '); // translators info: Don't translate %you%, %user%, etc. in the strings above.
DEFINE ('_UDDEADM_INBOXLIMIT_HEAD', '   ');         
DEFINE ('_UDDEADM_INBOXLIMIT_EXP', '   ,      ,     ""  "",     ');
DEFINE ('_UDDEADM_SHOWINBOXLIMIT_HEAD', ' ,     ');           
DEFINE ('_UDDEADM_SHOWINBOXLIMIT_EXP', '  ,         .');
DEFINE ('_UDDEADM_ARCHIVETOTRASH_INTRO', '  ?');         
DEFINE ('_UDDEADM_ARCHIVETOTRASH_LEAVE_LINK', '');            
DEFINE ('_UDDEADM_ARCHIVETOTRASH_LEAVE_EXP', '   (      ,           ).');             
DEFINE ('_UDDEADM_ARCHIVETOTRASH_INBOX_LINK', '  ""');         
DEFINE ('_UDDEADM_ARCHIVETOTRASH_INBOX_DONE', '      ""');
DEFINE ('_UDDEADM_ARCHIVETOTRASH_INBOX_EXP', '     ""   (  ,       ).');              

// 0.4 frontend, but visible admins only (no translation necessary)             

DEFINE ('_UDDEIM_SEND_ASSYSM', '    (   )');
DEFINE ('_UDDEIM_SEND_TOALL', ' ');
DEFINE ('_UDDEIM_SEND_TOALLADMINS', ' ');
DEFINE ('_UDDEIM_SEND_TOALLLOGGED', '   ');
DEFINE ('_UDDEIM_VALIDFOR_1', ' ');
DEFINE ('_UDDEIM_VALIDFOR_2', ' . 0 -  (  )');
DEFINE ('_UDDEIM_WRITE_SYSM_GM', '    ');
DEFINE ('_UDDEIM_WRITE_NORMAL', '  ]');
DEFINE ('_UDDEIM_NOTALLOWED_SYSM_GM', '    .');
DEFINE ('_UDDEIM_SYSGM_TYPE', ' ');
DEFINE ('_UDDEIM_HELPON_SYSGM', '');
DEFINE ('_UDDEIM_HELPON_SYSGM_2', '(   )');
DEFINE ('_UDDEIM_SYSGM_PLEASECONFIRM', '      !');
DEFINE ('_UDDEIM_SYSGM_WILLSENDTOALL', ' <strong> </strong>');
DEFINE ('_UDDEIM_SYSGM_WILLSENDTOALLADMINS', ' <strong> </strong>');
DEFINE ('_UDDEIM_SYSGM_WILLSENDTOALLLOGGED', ' <strong>   </strong>');
DEFINE ('_UDDEIM_SYSGM_WILLDISABLEREPLY', '      .');
DEFINE ('_UDDEIM_SYSGM_WILLSENDAS_1', '   <strong>');
DEFINE ('_UDDEIM_SYSGM_WILLSENDAS_2', '</strong>   ');
DEFINE ('_UDDEIM_SYSGM_WILLEXPIRE', '   ');
DEFINE ('_UDDEIM_SYSGM_WILLNOTEXPIRE', ' ');
DEFINE ('_UDDEIM_SYSGM_CHECKLINK', '<b>   !</b>');
DEFINE ('_UDDEIM_SYSGM_SHORTHELP', '     : [b]<strong> </strong>[/b]  [i]<em></em>[/i] -  , [url=http://www.someurl.com][/url]  [url]http://www.someurl.com[/url] -  ');
DEFINE ('_UDDEIM_SYSGM_ERRORNORECIPS', ':   !   .');                

// new in 0.5 ADMIN

DEFINE ('_UDDEADM_TEMPLATEDIR_HEAD', ' ');
DEFINE ('_UDDEADM_TEMPLATEDIR_EXP', '   .');
DEFINE ('_UDDEADM_SHOWCONNEX_HEAD', '    CB/CBE/JS');
DEFINE ('_UDDEADM_SHOWCONNEX_EXP', ' "",        CB/CBE/JS.');
DEFINE ('_UDDEADM_SHOWSETTINGSLINK_HEAD', ' ');
DEFINE ('_UDDEADM_SHOWSETTINGSLINK_EXP', '   . ');
DEFINE ('_UDDEADM_SHOWSETTINGS_ATBOTTOM', ', ');
DEFINE ('_UDDEADM_ALLOWBB_HEAD', '  <strong>BB</strong>-');
DEFINE ('_UDDEADM_FONTFORMATONLY', '  ');
DEFINE ('_UDDEADM_ALLOWBB_EXP', '  "  ",      -    .   "" -   <strong>BB</strong>-.');
DEFINE ('_UDDEADM_ALLOWSMILE_HEAD', '  ');
DEFINE ('_UDDEADM_ALLOWSMILE_EXP', '   "",      .');
DEFINE ('_UDDEADM_DISPLAY', '');
DEFINE ('_UDDEADM_SHOWMENUICONS_HEAD', '  ');
DEFINE ('_UDDEADM_SHOWMENUICONS_EXP', '  "",       .');
DEFINE ('_UDDEADM_SHOWTITLE_HEAD', ' ');
DEFINE ('_UDDEADM_SHOWTITLE_EXP', '     ,     .');
DEFINE ('_UDDEADM_SHOWABOUT_HEAD', ' ');
DEFINE ('_UDDEADM_SHOWABOUT_EXP', ' "",     uddeIM.');
DEFINE ('_UDDEADM_STOPALLEMAIL_HEAD', '   e-mail');
DEFINE ('_UDDEADM_STOPALLEMAIL_EXP', '  ,     e-mail,     .');
DEFINE ('_UDDEADM_ADMINIGNITIONONLY_MANUALLY', '');
DEFINE ('_UDDEADM_GETPICLINK_HEAD', ' Community Builder  ');
DEFINE ('_UDDEADM_GETPICLINK_EXP', '      .   " "     ,       "".    ,      .      ,     ,   " "');

// new in 0.5 FRONTEND

DEFINE ('_UDDEIM_SHOWUSERS', ' ');
DEFINE ('_UDDEIM_CONNECTIONS', '');
DEFINE ('_UDDEIM_SETTINGS', '');
DEFINE ('_UDDEIM_NOSETTINGS', '  .');
DEFINE ('_UDDEIM_ABOUT', ' '); // as in "About uddeIM"
DEFINE ('_UDDEIM_COMPOSE', ''); // as in "write new message", but only one word
DEFINE ('_UDDEIM_EMN', '   ');
DEFINE ('_UDDEIM_EMN_EXP', '          .');
DEFINE ('_UDDEIM_EMN_ALWAYS', ' ');
DEFINE ('_UDDEIM_EMN_NONE', ' ');
DEFINE ('_UDDEIM_EMN_WHENOFFLINE', ' ,     ');
DEFINE ('_UDDEIM_EMN_NOTONREPLY', '    ');
DEFINE ('_UDDEIM_BLOCKSYSTEM', ' '); // Headline for blocking system in settings
DEFINE ('_UDDEIM_BLOCKSYSTEM_EXP', '       .         .'); // block user is the same as _UDDEIM_BLOCKNOW
DEFINE ('_UDDEIM_SAVECHANGE', ' ');
DEFINE ('_UDDEIM_TOOLTIP_BOLD', '');
DEFINE ('_UDDEIM_TOOLTIP_ITALIC', '');
DEFINE ('_UDDEIM_TOOLTIP_UNDERLINE', '');
DEFINE ('_UDDEIM_TOOLTIP_COLORRED', '');
DEFINE ('_UDDEIM_TOOLTIP_COLORGREEN', '');
DEFINE ('_UDDEIM_TOOLTIP_COLORBLUE', '');
DEFINE ('_UDDEIM_TOOLTIP_FONTSIZE1', '  ');
DEFINE ('_UDDEIM_TOOLTIP_FONTSIZE2', ' ');
DEFINE ('_UDDEIM_TOOLTIP_FONTSIZE4', ' ');
DEFINE ('_UDDEIM_TOOLTIP_FONTSIZE5', '  ');
DEFINE ('_UDDEIM_TOOLTIP_IMAGE', 'BB-    . : [img]  [/img]');
DEFINE ('_UDDEIM_TOOLTIP_URL', '.     http://     (  )');
DEFINE ('_UDDEIM_TOOLTIP_CLOSEALLTAGS', '  .');
DEFINE ('_UDDEIM_INBOX_LIMIT_2_SINGULAR', '   '); // same as _UDDEIM_INBOX_LIMIT_2, but singular (as in 1 "message in your")
DEFINE ('_UDDEIM_ARC_SAVED_NONE_2', '<strong>   .</strong>'); 

?>